Vagrant.configure("2") do |config|
  config.vm.box = "bento/centos-7"
  config.ssh.forward_agent = true
  config.ssh.forward_x11 = true
  config.vm.provider "virtualbox" do |vb|
    vb.memory = 2048
    vb.cpus = 2
    vb.gui = true
  end
  config.vm.provision "shell", inline: <<-SHELL
    sudo yum -y install git clang cmake install gcc-c++ xauth xorg-x11-xauth epel-release
    sudo yum -y groupinstall "Server with GUI" 
    sudo yum -y install SDL2-devel
    sudo yum remove -y initial-setup initial-setup-gui
    sudo systemctl isolate graphical.target
    sudo systemctl set-default graphical.target
    service gdm restart
  SHELL
end
